{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.programs.nvim-lazy;
  inherit (pkgs.callPackage ../../pkgs { }) wrapNeovimLazy;
in
{
  imports = [ ./default.nix ];

  config = (lib.mkIf cfg.enable) {
    _module.check = lib.mkDefault false;
    home.packages = [
      (wrapNeovimLazy cfg.package {
        inherit (cfg) luaRcContent lazyConfig lazyPlugins vPlug;
      })
    ];
  };
}
